Package writer2latex.epub

# Class EPUB3Converter

java.lang.Object
writer2latex.base.ConverterBase
writer2latex.xhtml.Converter
writer2latex.epub.EPUB3Converter

All Implemented Interfaces:
  `Converter`

public final class EPUB3Converter extends Converter
This class converts an OpenDocument file to an EPUB 3 document.

## Nested Class Summary

## Nested classes/interfaces inherited from class writer2latex.base.ConverterBase

`ConverterBase.TexMathsStyle`

## Field Summary

### Fields inherited from class writer2latex.xhtml.Converter

`nType`

### Fields inherited from class writer2latex.base.ConverterBase

`converterResult, graphicConverter, imageConverter, metaData, odDoc, ofr, sTargetFileName`

## Constructor Summary

Constructors
Constructor
Description
`EPUB3Converter()`

## Method Summary

Modifier and Type
Method
Description
`ConverterResult`
`convert(InputStream is, String sTargetFileName)`
Convert a document
`ConverterResult`
`convert(Document dom, String sTargetFileName, boolean bDestructive)`
Convert a document

### Methods inherited from class writer2latex.xhtml.Converter

`addContentEntry, addEpubNs, addEpubType, addTarget, changeOutFile, convertInner, createElement, createLink, createLink, createTarget, createTextNode, getConfig, getContentWidth, getDrawCv, getL10n, getMathCv, getOutFileIndex, getOutFileName, getPanelNode, getPlainInlineText, getStyleCv, getTableCv, getTextCv, getType, getXhtmlConfig, handleOfficeAnnotation, importNode, isHTML5, isOPS, isTopLevel, nextOutFile, outFileHasContent, popContentWidth, pushContentWidth, readResource, readResource, readStyleSheet, readStyleSheet, readTemplate, readTemplate, setCoverFile, setCoverImageFile, setIndexFile, setLofFile, setLotFile, setOPS, setTocFile`

### Methods inherited from class writer2latex.base.ConverterBase

`addDocument, convert, getEmbeddedObject, getImageCv, getMetaData, getTexMathsEquation, getTexMathsEquation, getTexMathsStyle, setGraphicConverter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EPUB3Converter

public EPUB3Converter()

## Method Details

### convert

public ConverterResult convert(InputStream is, String sTargetFileName) throws IOException
Description copied from interface: `Converter`
Convert a document

Specified by:
  `convert` in interface `Converter`
Overrides:
  `convert` in class `ConverterBase`
Parameters:
  `is` - an `InputStream` from which to read the source document.
  `sTargetFileName` - the file name to use for the converted document (if the converted document is a compound document consisting consisting of several files, this name will be used for the master document)
Returns:
  a `ConverterResult` containing the converted document
Throws:
  `IOException` - if some exception occurs while reading the document

### convert

public ConverterResult convert(Document dom, String sTargetFileName, boolean bDestructive) throws IOException
Description copied from interface: `Converter`
Convert a document

Specified by:
  `convert` in interface `Converter`
Overrides:
  `convert` in class `ConverterBase`
Parameters:
  `dom` - a DOM tree representing the document as flat XML
  `sTargetFileName` - the file name to use for the converted document (if the converted document is a compound document consisting consisting of several files, this name will be used for the master document)
  `bDestructive` - set to true if the converter is allowed to remove contents from the DOM tree (to save memory)
Returns:
  a `ConverterResult` containing the converted document
Throws:
  `IOException` - if some exception occurs while reading the document